package com.glxp.api.admin.dao.inventory;

import com.glxp.api.admin.entity.inventory.InvProductEntity;
import com.glxp.api.admin.req.inventory.FilterInvProductRequest;
import com.glxp.api.admin.res.inventory.InvProductResponse;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface InvProductDao {


    List<InvProductEntity> filterInvProduct(FilterInvProductRequest filterInvProductRequest);

    List<InvProductResponse> filterJoinInvProduct(FilterInvProductRequest filterInvProductRequest);

    boolean insertInvProduct(InvProductEntity invProductEntity);

    boolean updateInvProduct(InvProductEntity invProductEntity);

    InvProductEntity  selectById(@Param("id") String id);

    boolean deleteById(@Param("id") String id);

}
