package com.glxp.api.admin.service.inventory;


import com.glxp.api.admin.entity.inventory.InvProductEntity;
import com.glxp.api.admin.req.inventory.FilterInvProductRequest;
import com.glxp.api.admin.res.inventory.InvProductResponse;

import java.util.List;

public interface InvProductService {

    List<InvProductEntity> filterInvProduct(FilterInvProductRequest filterInvProductRequest);

    List<InvProductResponse> filterJoinInvProduct(FilterInvProductRequest filterInvProductRequest);

    InvProductEntity selectByUuid(String uuid, String batchNo);

    InvProductEntity selectById(String id);

    boolean insertInvProduct(InvProductEntity invProductEntity);

    boolean updateInvProduct(InvProductEntity invProductEntity);

    boolean deleteById(String id);

}
